Page MenuHomePhabricator

WikidataRepo: Update QUnit tests to use new no-globals and assert-object pattern
Closed, ResolvedPublic

Description

Please see MW core Bug 37390

We should use the improved system for QUnit tests.
Checkout 00af396ea7faef14d9765b0ab09a07a33845c52f for details about implementation.


Version: unspecified
Severity: normal

Details

Reference
bz39522

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:01 AM
bzimport set Reference to bz39522.
bzimport added a subscriber: Unknown Object (MLST).
Danwe created this task.Aug 21 2012, 10:19 AM
Danwe added a comment.Sep 3 2012, 6:20 PM

As an example how to do this, also see our new QUnit tests in:

wikibase.ui.AliasesEditTool.tests.js
and
wikibase.utilities.inherit.tests.js (in review right now)

Merged gerrit 26966 links here, bug maybe resolved

Danwe added a comment.Nov 25 2012, 9:03 PM

The change set linked a bove is just one of many patch sets where we changed some of the tests. There are many more tests still using the old way.

What's the status here?

Closing assuming this is done.